%define anolis_release 1
%global pypi_name aliyun-python-sdk-kms
%global pypi_version 2.16.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        The kms module of Aliyun Python sdk

License:        Apache
URL:            http://develop.aliyun.com/sdk/python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is the kms module of Aliyun Python SDK is the official software development kit. 
It makes things easy to integrate your Python application, library, or script with 
Aliyun services.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(aliyun-python-sdk-core) >= 2.11.5
%description -n python3-%{pypi_name}
This is the kms module of Aliyun Python SDK is the official software development kit. 
It makes things easy to integrate your Python application, library, or script with 
Aliyun services.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/aliyunsdkkms
%{python3_sitelib}/aliyun_python_sdk_kms-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 12 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.16.1-1
- Initial package.
